onUpload(){
	wx.chooseMessageFile({
			success(res) {				       					
      const tempFilePaths = res.tempFiles;
      console.log(tempFilePaths[0])
			//that.filename = res.tempFiles[0].name
//将保存在微信暂存区的文件上传到你项目的保存地址
//将保存在微信暂存区的文件上传到你项目的保存地址
	 wx.uploadFile({
	 url: 'http://127.0.0.1:81/taskupload',//这里的url是你项目文件上传的接口
	 filePath: tempFilePaths[0].path,//这是你上传文件到微信暂存区的 路径
	 name: 'file',
		//这里也是为小程序在真机测试校验协议时能够被通过，
		//你可以直接在 data里面定义这个变量，上面那个方法里面的headers可以不定义。
  headers:{
    'Content-Type': "multipart/form-data"
 },
		//这个是上传文件 需要的参数，具体看你们项目接口需要提交的参数
		formData: {
		    skey:"bb053f8c-5649-4b43-ae43-441880715703"
		},
		success (res){
			 const data = res.data
			 if(res.data == "upload successful"){
				console.log("success")
			 }else{
				console.log("fail")
			 }
		}
  })
},				
});		
},